@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@rem ϐ̒`
@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@SET FPWGAIJI=gaiji.pl
@SET FPWEXTRACT=split.pl
@SET FPWPARSER=ldoce5-fpw.pl
@SET FPWPARSERFLAGS=
@SET FULLCHARS=fullchar.txt
@SET HALFCHARS=halfchar.txt
@SET ARCHIVEEXTRA=gaiji
@SET PACKAGE=ldoce5-fpw
@SET DIR=LDOCE5
@SET LD5SOUNDS=sound-exa_tag.txt sound-gb_hwd_tag.txt sound-sfx_tag.txt sound-us_hwd_tag.txt
@SET LD5CGRAPHS=picture_tag.txt
@SET LD5RESOURCES=picture sound-exa sound-gb_hwd sound-sfx sound-us_hwd

@SET ZIP="C:\Program Files\7-Zip\7z.exe"
@SET ZIPFLAGS=a -tzip -mx=9 -r

@SET FPWLIBEXECDIR=freepwing\libexec
@SET WORKDIR=work
@SET PERL=perl
@SET PERLINCFLAGS=-I %CD%\freepwing
@SET PERLFLAGS=
@SET FPWHALFCHAR=%FPWLIBEXECDIR%\fpwhalfchar
@SET FPWFULLCHAR=%FPWLIBEXECDIR%\fpwfullchar
@SET FPWCGRAPH=%FPWLIBEXECDIR%\fpwcgraph
@SET FPWSOUND=%FPWLIBEXECDIR%\fpwsound
@SET FPWSORT=%FPWLIBEXECDIR%\fpwsort
@SET FPWINDEX=%FPWLIBEXECDIR%\fpwindex
@SET FPWCONTROL=%FPWLIBEXECDIR%\fpwcontrol
@SET FPWLINK=%FPWLIBEXECDIR%\fpwlink
@SET FPWLINKMOD=default
@SET CATDUMP=%FPWLIBEXECDIR%\catdump
@SET CATDUMPFLAGS=
@SET CLEANEXTRA=
@SET INSTALLDIR=.
@SET CGRAPH_DEP=%WORKDIR%\cgraph.dep
@SET SOUND_DEP=%WORKDIR%\sound.dep

@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@rem R}hCIvṼ`FbN
@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@IF /I "%1" EQU "clean" GOTO :FPWMAKE_CLEAN
@IF /I "%1" EQU "CLEAN" GOTO :FPWMAKE_CLEAN

@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@rem EPWINGpbP[W̐
@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:FPWMAKE_PACKAGE
@echo start make package (%date% %time%)...
rmdir /S /Q %DIR% >NUL 2>&1
del /F /Q %PACKAGE%.zip >NUL 2>&1
mkdir %WORKDIR% >NUL 2>&1
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWGAIJI% -workdir %WORKDIR%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWHALFCHAR% -workdir %WORKDIR% %HALFCHARS%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWFULLCHAR% -workdir %WORKDIR% %FULLCHARS%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWEXTRACT% -workdir %WORKDIR%
for %%f in (%LD5CGRAPHS%) do (
	if exist %%f (
		echo "" > %CGRAPH_DEP%.ld5
	)
)
for %%f in (%LD5SOUNDS%) do (
	if exist %%f (
		echo "" > %SOUND_DEP%.ld5
	)
)
if exist %CGRAPH_DEP%.ld5 (
	%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWCGRAPH% -workdir %WORKDIR% %LD5CGRAPHS%
	del /F /Q %CGRAPH_DEP%.ld5
)
if exist %SOUND_DEP%.ld5 (
	%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWSOUND% -workdir %WORKDIR% %LD5SOUNDS%
	del /F /Q %SOUND_DEP%.ld5
)
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWPARSER% -workdir %WORKDIR% %FPWPARSERFLAGS%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWSORT% -workdir %WORKDIR%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWINDEX% -workdir %WORKDIR%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWCONTROL% -workdir %WORKDIR%
%PERL% %PERLINCFLAGS% %PERLFLAGS% %FPWLINK% -workdir %WORKDIR% -module %FPWLINKMOD%
del /F /Q catalogs >NUL 2>&1
%PERL% %CATDUMP% %CATDUMPFLAGS% -u catalogs.txt catalogs
mkdir %INSTALLDIR%\%DIR% >NUL 2>&1
mkdir %INSTALLDIR%\%DIR%\%DIR%\data >NUL 2>&1
mkdir %INSTALLDIR%\%DIR%\%DIR%\gaiji >NUL 2>&1
copy /B /Y catalogs %INSTALLDIR%\%DIR%\catalogs
copy /B /Y honmon %INSTALLDIR%\%DIR%\%DIR%\data\honmon
for %%f in (gai16h gai24h gai30h gai48h gai16f gai24f gai30f gai48f) do (
	if exist %%f (
		copy /B /Y %%f %INSTALLDIR%\%DIR%\%DIR%\gaiji\%%f
	)
)
if exist %ZIP% (
	%ZIP% %ZIPFLAGS% %PACKAGE%.zip %DIR%
	rmdir /S /Q %DIR% >NUL 2>&1
)

@echo done (%date% %time%).
@GOTO :EOF

@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
@rem t@C̍폜
@rem =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
:FPWMAKE_CLEAN

@echo cleaning ldoce5-fpw work...
rmdir /S /Q %WORKDIR% >NUL 2>&1
rmdir /S /Q %PACKAGE% >NUL 2>&1
del /F /Q catalogs honmon %CLEANEXTRA% >NUL 2>&1
del /F /Q %PACKAGE%.zip >NUL 2>&1
del /F /Q %PACKAGE%.tar.gz >NUL 2>&1
del /F /Q %PACKAGE%.tar.bz2 >NUL 2>&1
del /F /Q %PACKAGE%.tar.lzma >NUL 2>&1
del /F /Q %PACKAGE%.tar.xz >NUL 2>&1
del /F /Q %PACKAGE%-src.tar.gz >NUL 2>&1

del /F /Q bitmap\p-u-*.bmp bitmap\pi-u-*.bmp bitmap\u-*.bmp >NUL 2>&1
del /F /Q gaiji\p-u-*.xbm gaiji\pi-u-*.xbm gaiji\u-*.xbm >NUL 2>&1
del /F /Q fullchar fullchar.txt halfchar halfchar.txt gai16f gai16h >NUL 2>&1
del /F /Q eword head text textref texttag word log.txt >NUL 2>&1
del /F /Q %LD5CGRAPHS% %LD5SOUNDS% LDOCE5.map >NUL 2>&1
rmdir /S /Q bitmap gaiji %LD5RESOURCES% >NUL 2>&1
@echo done.
@GOTO :EOF

:EOF
